This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 706332 - Update Ruby to the latest point release
Update Ruby to the latest point release
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ruby (Show other bugs)
6.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Vít Ondruch
Aleš Mareček
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-20 02:52 EDT by Vít Ondruch
Modified: 2011-12-06 07:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Updated Ruby packages that fixes several security issues and bugs are now available for Red Hat Enterprise Linux 6. The package do not contains any new features or enhancements. Update is strongly recommended.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 07:07:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2011-05-20 02:52:54 EDT
There are Ruby 1.8.7-p334 available. This version should not introduce any API/ABI breakage and fixes several security issues.
Comment 4 Vít Ondruch 2011-06-09 16:46:17 EDT
It seems that even newer point release might be available: http://blade.nagaokaut.ac.jp/cgi-bin/vframe.rb/ruby/ruby-core/36406?36237-36829+split-mode-vertical
Comment 5 Mike Khusid 2011-06-22 11:19:16 EDT
Vit, are any new features expected to be introduced with this patch release?
Comment 6 Vít Ondruch 2011-06-22 11:50:21 EDT
(In reply to comment #5)
> Vit, are any new features expected to be introduced with this patch release?

No new features. Only bugfixes. See https://github.com/ruby/ruby/compare/v1_8_7_334...ruby_1_8_7
Comment 7 Vít Ondruch 2011-07-01 11:06:45 EDT
It seems the release is coming this weekend: http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-core/37711
Comment 10 Vít Ondruch 2011-07-21 06:50:43 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Updated Ruby packages that fixes several security issues and bugs are now available for Red Hat Enterprise Linux 6. The package do not contains any new features or enhancements. Update is strongly recommended.
Comment 14 errata-xmlrpc 2011-12-06 07:07:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1581.html

Note You need to log in before you can comment on or make changes to this bug.